Capitolo 4. Risorse di sistema e stampa
Indietro |  | Avanti

## Capitolo 4. Risorse di sistema e stampa

## 4.1. Risorse di sistema

Comandi per gestire le risorse di sistema.

Tabella 4.1. Comandi per le risorse di sistema

Comando/Sintassi | Cosa fa
--- | ---
`chsh` (`passwd -e/-s`) ``username login_shell`` | cambia la shell di login dell'utente (spesso solo attraverso il super-user)
`date [`opzioni`]` | visualizza data e ora corrente
`df [`opzioni`] [`risorsa`]` | riporta una sintesi dei blocchi del disco e degli inode liberi e usati
`du [`opzioni`] [`directory o file`]` | riporta la quantità di spazio di disco usato
`hostname/uname` | visualizza o setta (solamente super-user) il nome della macchina in uso
`kill [`opzioni`] [`-SEGNALE`] [`pid#`] [%`job`]` | manda un segnale al processo specificato dal numero di processo id (`pid#`) o dal numero di controllo del job (%`n`). Il segnale di default termina il processo
`man [`opzioni`] `comando`` | visualizza la pagina (man) del manuale relativa al comando specificato
`passwd [`opzioni`]` | setta o modifica la propria password
`ps [`opzioni`]` | mostra lo stato dei processi attivi
`script `file`` | salva tutto ciò che appare sullo schermo in un file fino a quando viene eseguito il comando `exit`
`stty [`opzioni`]` | setta o visualizza le opzioni del terminale di controllo
`whereis [`opzioni`] `comando`` | riporta le posizioni del file binario, del sorgente e della pagina man relative al comando specificato
`which `comando`` | riporta il percorso (path) del comando specificato o l'alias di shell in uso
`who` oppure `w` | riporta gli utenti «loggati» e i loro processi in esecuzione

### 4.1.1. df - riepiloga i blocchi del disco e lo spazio usato

Il comando df(1) è usato per riportare il numero di blocchi del disco e di inode liberi e usati per ogni file system. Il formato dell'output e le valide opzioni sono molto specifiche dal sistema operativo e dalla versione del programma in uso.

Sintassi

`df [`opzioni`] [`risorsa`]`

Opzioni generali

`-l` | solo il file system locale (SVR4)
`-k` | riporta in kilobyte (SVR4)

Esempi:

{Unix prompt 1} `df` Filesystem kbytes used avail capacity Mounted on /dev/sd0a 20895 19224 0 102% / /dev/sd0h 319055 131293 155857 46% /usr /dev/sd1g 637726 348809 225145 61% /usr/local /dev/sd1a 240111 165489 50611 77% /home/guardian peri:/usr/local/backup 1952573 976558 780758 56% /usr/local/backup peri:/home/peri 726884 391189 263007 60% /home/peri peri:/usr/spool/mail 192383 1081 172064 1% /var/spool/mail peri:/acs/peri/2 723934 521604 129937 80% /acs/peri/2

### 4.1.2. du - mostra lo spazio del disco usato

Il comando du(1) riporta la quantità di spazio di disco usato per i file o per le directory specificate.

Sintassi

`du [`opzioni`] [`directory o file`]`

Opzioni generali

`-a` | mostra l'uso del disco per ogni file, non solo per le sotto-directory
`-s` | mostra solo la somma totale
`-k` | riporta in kilobyte (SVR4)

Esempi:

{Unix prompt 3} `du` 1 ./.elm 1 ./Mail 1 ./News 20 ./uc 86 .
{Unix prompt 4} `du -a uc` 7 uc/Unixgrep.txt 5 uc/editors.txt 1 uc/.emacs 1 uc/.exrc 4 uc/telnet.ftp 1 uc/uniq.tee.txt 20 uc

### 4.1.3. ps - mostra lo stato dei processi attivi

Il comando ps(1) è usato per mostrare i processi correntemente eseguiti sul sistema. Il formato dell'output e le valide opzioni dipendono molto dal sistema operativo e dalla versione del programma in uso.

Sintassi

`ps [`opzioni`]`

Opzioni generali

BSD | SVR4 |
--- | --- | ---
`-a` | `-e` | tutti i processi di tutti gli utenti
`-e` |  | ambiente di esecuzione
`-g` |  | processi del gruppo amministrativo come `well`
`-l` | `-l` | formato lungo
`-u` | `-u `user`` | relazione specifica di un utente
`-x` | `-e` | anche i processi non eseguiti da terminali
| `-f` | lista completa
`-w` |  | riporta i primi 132 caratteri per linea

### Nota:

Poichè il comando ps(1) è molto dipendente dal sistema, si raccomanda di consultare le pagine man del proprio sistema per i dettagli delle opzioni e per l'interpretazione dell'output di ps(1).

Esempi:

{Unix prompt 5} `ps` PID TT STAT TIME COMMAND 15549 p0 IW 0:00 -tcsh (tcsh) 15588 p0 IW 0:00 man nice 15594 p0 IW 0:00 sh -c less /tmp/man15588 15595 p0 IW 0:00 less /tmp/man15588 15486 p1 S 0:00 -tcsh (tcsh) 15599 p1 T 0:00 emacs Unixgrep.txt 15600 p1 R 0:00 ps

### 4.1.4. kill - termina un processo

Il comando kill(1) manda un segnale a un processo, generalmente per terminarlo.

Sintassi

`kill [`-SEGNALE`] `id-processo``

Opzioni generali

`-l` | visualizza i segnali disponibili per kill

Esempi:

{Unix prompt 9} `kill -l` HUP INT QUIT ILL TRAP IOT EMT FPE KILL BUS SEGV SYS PIPE ALRM TERM URG STOP TSTP CONT CHLD TTIN TTOU IO XCPU XFSZ VTALRM PROF WINCH LOST USR1 USR2

Il segnale `-KILL`, anche specificato con `-9` (a causa della nona posizione assunta nella lista precedente), è il maggior segnale comunemente usato con kill(1). A differenza di altri segnali, questo, una volta captato, non può essere ignorato dal programma.

{Unix prompt 10} `kill -9 15599` [1] + Killed emacs Unixgrep.txt

### 4.1.5. who - mostra gli utenti attuali

Il comando who(1) riporta chi è correntemente «loggato» nel sistema.

Sintassi

`who [`am i`]`

Esempi:

beauty condron> `who` wmtell ttyp1 Apr 21 20:15 (apple.acs.ohio-s) fbwalk ttyp2 Apr 21 23:21 (worf.acs.ohio-st) stwang ttyp3 Apr 21 23:22 (127.99.25.8) david ttyp4 Apr 21 22:27 (slip1-61.acs.ohi) tgardner ttyp5 Apr 21 23:07 (picard.acs.ohio-) awallace ttyp6 Apr 21 23:00 (ts31-4.homenet.o) gtl27 ttyp7 Apr 21 23:24 (data.acs.ohio-st) ccchang ttyp8 Apr 21 23:32 (slip3-10.acs.ohi) condron ttypc Apr 21 23:38 (lcondron-mac.acs) dgildman ttype Apr 21 22:30 (slip3-36.acs.ohi) fcbetz ttyq2 Apr 21 21:12 (ts24-10.homenet.)
beauty condron> `who am i` beauty!condron ttypc Apr 21 23:38 (lcondron-mac.acs)

### 4.1.6. whereis - riporta le locazioni del programma

Il comando whereis(1) riporta le locazioni del file sorgente, di quello binario e del file delle pagine man associate al comando.

Sintassi

`whereis [`opzioni`] `comando``

Opzioni generali

`-b` | riporta solamente i file binari
`-m` | riporta solamente la sezione manuale
`-s` | riporta solamente i file sorgenti

Esempi:

brigadier: condron [69]> `whereis Mail` Mail: /usr/ucb/Mail /usr/lib/Mail.help /usr/lib/Mail.rc /usr/man/man1/Mail.1
brigadier: condron [70]> `whereis -b Mail` Mail: /usr/ucb/Mail /usr/lib/Mail.help /usr/lib/Mail.rc
brigadier: condron [71]> `whereis -m Mail` Mail: /usr/man/man1/Mail.1

### 4.1.7. which - riporta il comando trovato

Il comando which(1) riporta il nome del file che sarà eseguito quando il comando specificato viene invocato. Questo può essere un path name assoluto o il primo alias trovato nel proprio path.

Sintassi

`which `comando``

Esempi:

brigadier: condron [73]> `which Mail` /usr/ucb/Mail

### 4.1.8. hostname/uname - nome della macchina

Il comando hostname(1) (`uname -u` su SysV) riporta il nome host della macchina nella quale l'utente è «loggato», esempio:

brigadier: condron [91]> `hostname` brigadier

uname(1) ha opzioni aggiuntive per visualizzare informazioni circa l'hardware del sistema e la versione del software.

### 4.1.9. script - memorizza la propria schermata di I/O

Il comando script(1) crea una documentazione della propria sessione di I/O. Usando il comando script(1) si possono catturare tutti i dati trasmessi da e per il proprio terminale visuale fino all'uscita (con `exit`) del programma stesso. Può essere utile durante un processo di debugging, per documentare le azioni che si stanno sperimentando o per avere una copia stampabile per una attenta lettura successiva.

Sintassi

`script [`-a`] [`file`] <...> exit`

Opzioni generali

`-a` | appende l'output al file

Di default, `typescript` è il nome del file usato dal comando script(1).

Ci si deve ricordare di digitare `exit` per terminare la propria sessione script e chiudere così il file `typescript`.

Esempi:

beauty condron> `script` Script started, file is typescript
beauty condron> `ps` PID TT STAT TIME COMMAND 23323 p8 S 0:00 -h -i (tcsh) 23327 p8 R 0:00 ps 18706 pa S 0:00 -tcsh (tcsh) 23315 pa T 0:00 emacs 23321 pa S 0:00 script 23322 pa S 0:00 script 3400 pb I 0:00 -tcsh (tcsh)
beauty condron> `kill -9 23315`
beauty condron> `date` Mon Apr 22 22:29:44 EDT 1996
beauty condron> `exit` exit Script done, file is typescript [1] + Killed emacs
beauty condron> `cat typescript` Script started on Mon Apr 22 22:28:36 1996 beauty condron>ps PID TT STAT TIME COMMAND 23323 p8 S 0:00 -h -i (tcsh) 23327 p8 R 0:00 ps 18706 pa S 0:00 -tcsh (tcsh) 23315 pa T 0:00 emacs 23321 pa S 0:00 script 23322 pa S 0:00 script 3400 pb I 0:00 -tcsh (tcsh) beauty condron>kill -9 23315 beauty condron>date Mon Apr 22 22:29:44 EDT 1996 beauty condron>exit exit script done on Mon Apr 22 22:30:02 1996
beauty condron> ``

### 4.1.10. date - data e ora corrente

Il comando date(1) mostra la data e l'ora corrente. Un super-user può modificare la data e l'ora.

Sintassi

`date [`opzioni`] [`+formato`]`

Opzioni generali

`-u` | usa Universal Time (o Greenwich Mean Time)
`+`formato`` | specifica il formato di output
`%a` | abbreviazione giorni, da Sabato a Domenica
`%h` | abbreviazione mesi, da Gennaio a Dicembre
`%j` | giorno dell'anno, da 001 a 366
`%n` | new-line
`%t` | tab
`%y` | ultime due cifre dell'anno, da 00 a 99
`%D` | formato data MM/DD/YY
`%H` | ora, da 00 a 23
`%M` | minuti, da 00 a 59
`%S` | secondi, da 00 a 59
`%T` | formato ora HH:MM:SS

Esempi:

beauty condron> `date` Mon Jun 10 09:01:05 EDT 1996
beauty condron> `date -u` Mon Jun 10 13:01:33 GMT 1996
beauty condron> `date +%a%t%D` Mon 06/10/96
beauty condron> `date '+%y:%j'` 96:162

Indietro |  | Avanti
3.8. Comandi di visualizzazione | Partenza | 4.2. Comandi di stampa

Questo, ed altri documenti, possono essere scaricati da ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/

Per domande su FreeBSD, leggi la documentazione prima di contattare <questions@FreeBSD.org>.
Per domande su questa documentazione, invia una e-mail a <doc@FreeBSD.org>.